package com.rjconsultores.ventaboletos.relatorios;

public class MovimentoSecoes {

	private String antt;
	private String prefixo;
	private Integer mes;
	private Integer ano;
	private String localOrigem;
	private String localDestino;
	private Integer passageirosIda;
	private Integer passageirosVolta;
	private Integer gratuidadePasseLivreIda;
	private Integer gratuidadePasseLivreVolta;
	private Integer gratuidadeIdosoIda;
	private Integer gratuidadeIdosoVolta;
	private Integer descontoIdosoIda;
	private Integer descontoIdosoVolta;
	private Integer gratuidadeJovenIda;
	private Integer gratuidadeJovenVolta;
	private Integer descontoJovenIda;
	private Integer descontoJovenVolta;
	private Integer gratuidadeEstudanteIda;
	private Integer gratuidadeEstudanteVolta;
	private Integer gratuidadeProfessorIda;
	private Integer gratuidadeProfessorVolta;
	
	
	public Integer getGratuidadeJovenIda() {
		return gratuidadeJovenIda;
	}

	public void setGratuidadeJovenIda(Integer gratuidadeJovenIda) {
		this.gratuidadeJovenIda = gratuidadeJovenIda;
	}

	public Integer getGratuidadeJovenVolta() {
		return gratuidadeJovenVolta;
	}

	public void setGratuidadeJovenVolta(Integer gratuidadeJovenVolta) {
		this.gratuidadeJovenVolta = gratuidadeJovenVolta;
	}

	public Integer getDescontoJovenIda() {
		return descontoJovenIda;
	}

	public void setDescontoJovenIda(Integer descontoJovenIda) {
		this.descontoJovenIda = descontoJovenIda;
	}

	public Integer getDescontoJovenVolta() {
		return descontoJovenVolta;
	}

	public void setDescontoJovenVolta(Integer descontoJovenVolta) {
		this.descontoJovenVolta = descontoJovenVolta;
	}

	public String getAntt() {
		return antt;
	}

	public void setAntt(String antt) {
		this.antt = antt;
	}

	public String getPrefixo() {
		return prefixo;
	}

	public void setPrefixo(String prefixo) {
		this.prefixo = prefixo;
	}

	public Integer getMes() {
		return mes;
	}

	public void setMes(Integer mes) {
		this.mes = mes;
	}

	public Integer getAno() {
		return ano;
	}

	public void setAno(Integer ano) {
		this.ano = ano;
	}

	public String getLocalOrigem() {
		return localOrigem;
	}

	public void setLocalOrigem(String localOrigem) {
		this.localOrigem = localOrigem;
	}

	public String getLocalDestino() {
		return localDestino;
	}

	public void setLocalDestino(String localDestino) {
		this.localDestino = localDestino;
	}

	public Integer getPassageirosIda() {
		return passageirosIda;
	}

	public void setPassageirosIda(Integer passageirosIda) {
		this.passageirosIda = passageirosIda;
	}

	public Integer getPassageirosVolta() {
		return passageirosVolta;
	}

	public void setPassageirosVolta(Integer passageirosVolta) {
		this.passageirosVolta = passageirosVolta;
	}

	public Integer getGratuidadePasseLivreIda() {
		return gratuidadePasseLivreIda;
	}

	public void setGratuidadePasseLivreIda(Integer gratuidadePasseLivreIda) {
		this.gratuidadePasseLivreIda = gratuidadePasseLivreIda;
	}

	public Integer getGratuidadePasseLivreVolta() {
		return gratuidadePasseLivreVolta;
	}

	public void setGratuidadePasseLivreVolta(Integer gratuidadePasseLivreVolta) {
		this.gratuidadePasseLivreVolta = gratuidadePasseLivreVolta;
	}

	public Integer getGratuidadeIdosoIda() {
		return gratuidadeIdosoIda;
	}

	public void setGratuidadeIdosoIda(Integer gratuidadeIdosoIda) {
		this.gratuidadeIdosoIda = gratuidadeIdosoIda;
	}

	public Integer getGratuidadeIdosoVolta() {
		return gratuidadeIdosoVolta;
	}

	public void setGratuidadeIdosoVolta(Integer gratuidadeIdosoVolta) {
		this.gratuidadeIdosoVolta = gratuidadeIdosoVolta;
	}

	public Integer getDescontoIdosoIda() {
		return descontoIdosoIda;
	}

	public void setDescontoIdosoIda(Integer descontoIdosoIda) {
		this.descontoIdosoIda = descontoIdosoIda;
	}

	public Integer getDescontoIdosoVolta() {
		return descontoIdosoVolta;
	}

	public void setDescontoIdosoVolta(Integer descontoIdosoVolta) {
		this.descontoIdosoVolta = descontoIdosoVolta;
	}

	public Integer getGratuidadeEstudanteIda() {
		return gratuidadeEstudanteIda;
	}

	public void setGratuidadeEstudanteIda(Integer gratuidadeEstudanteIda) {
		this.gratuidadeEstudanteIda = gratuidadeEstudanteIda;
	}

	public Integer getGratuidadeEstudanteVolta() {
		return gratuidadeEstudanteVolta;
	}

	public void setGratuidadeEstudanteVolta(Integer gratuidadeEstudanteVolta) {
		this.gratuidadeEstudanteVolta = gratuidadeEstudanteVolta;
	}

	public Integer getGratuidadeProfessorIda() {
		return gratuidadeProfessorIda;
	}

	public void setGratuidadeProfessorIda(Integer gratuidadeProfessorIda) {
		this.gratuidadeProfessorIda = gratuidadeProfessorIda;
	}

	public Integer getGratuidadeProfessorVolta() {
		return gratuidadeProfessorVolta;
	}

	public void setGratuidadeProfessorVolta(Integer gratuidadeProfessorVolta) {
		this.gratuidadeProfessorVolta = gratuidadeProfessorVolta;
	}

	@Override
	public String toString() {
		return antt + ";" + prefixo + ";" + localOrigem + ";" + localDestino + ";" + mes + ";" + ano + ";" + passageirosIda + ";" + passageirosVolta + ";" + gratuidadePasseLivreIda + ";" + gratuidadePasseLivreVolta + ";" + gratuidadeIdosoIda + ";" + gratuidadeIdosoVolta + ";" + descontoIdosoIda + ";" + descontoIdosoVolta + ";" + gratuidadeJovenIda + ";" + gratuidadeJovenVolta + ";" + descontoJovenIda + ";" + descontoJovenVolta +
			   gratuidadeEstudanteIda + ";" + gratuidadeEstudanteVolta  + ";" + gratuidadeProfessorIda + ";" + gratuidadeProfessorVolta;
	}
	
	public String toStringSisdap() {
		return antt + ";" + prefixo + ";" + localOrigem + ";" + localDestino + ";" + mes + ";" + ano + ";" + passageirosIda + ";" + passageirosVolta + ";" + gratuidadePasseLivreIda + ";" + gratuidadePasseLivreVolta + ";" + gratuidadeIdosoIda + ";" + gratuidadeIdosoVolta + ";" + descontoIdosoIda + ";" + descontoIdosoVolta + ";" + gratuidadeJovenIda + ";" + gratuidadeJovenVolta + ";" + descontoJovenIda + ";" + descontoJovenVolta  ;
	}
}
